.navbar {
  --navbar-color: var(--header-color, var(--anrt-color-white));

  display: flex;
  margin: 0;
  padding: 0;
  font-size: var(--anrt-font-size-default);
  font-weight: 500;
}

.navbar__menu-item {
  position: relative;
  margin-right: var(--anrt-spacing-166);
  list-style: none;
}

.navbar__menu-item span {
  font-family: var(--anrt-font-primary);
}

.navbar__menu-link {
  text-decoration: none;
  color: var(--navbar-color);

  &:is(:hover, :focus) {
    text-decoration: underline;
  }
}

.navbar__toggle {
  display: flex;
  padding: 0;
  cursor: pointer;
  color: var(--navbar-color);
  border: 0;
  background-color: transparent;
  font-size: var(--anrt-font-size-default);
  font-weight: 500;
  line-height: var(--anrt-font-size-150);
  gap: var(--anrt-spacing-025);
}

.navbar__toggle[aria-expanded="false"] .navbar__toggle--open {
  display: block;
}

.navbar__toggle[aria-expanded="true"] .navbar__toggle--open {
  display: none;
}

.navbar__toggle[aria-expanded="false"] .navbar__toggle--closed {
  display: none;
}

.navbar__toggle[aria-expanded="true"] .navbar__toggle--closed {
  display: block;
}

#navbar-submenu {
  position: absolute;
}

#navbar-submenu[data-disclosure-expanded="false"] {
  display: none;
}

#navbar-submenu[data-disclosure-expanded="true"] {
  display: block;
}

.navbar__submenu {
  display: flex;
  flex-direction: column;
  width: max-content;
  margin-top: var(--anrt-spacing-066);
  padding: var(--anrt-spacing-100);
  border-radius: var(--anrt-radius);
  background: var(--anrt-color-white);
  gap: var(--anrt-spacing-066);
}

.navbar__submenu .navbar__menu-item {
  position: static;
  margin-right: 0;
}

.navbar__submenu .navbar__menu-link {
  color: var(--anrt-color-black);
}
